summaryrefslogtreecommitdiffstats
path: root/development/bouml
diff options
context:
space:
mode:
author David Negroni <david.negroni@member.fsf.org>2010-05-12 23:28:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:37 +0200
commit2f37db05d42895d3b1a50aa2d22a2a668fc31aa9 (patch)
tree425ccab8f553ad4247d59a89fdb7931a45d440ee /development/bouml
parentfc43e9426d25b5dadae26c75b9c8b5b9862fbede (diff)
downloadslackbuilds-2f37db05d42895d3b1a50aa2d22a2a668fc31aa9.tar.gz
slackbuilds-2f37db05d42895d3b1a50aa2d22a2a668fc31aa9.tar.xz
development/bouml: Added to 12.2 repository
Diffstat (limited to 'development/bouml')
-rw-r--r--development/bouml/README23
-rw-r--r--development/bouml/bouml.SlackBuild67
-rw-r--r--development/bouml/bouml.info8
-rw-r--r--development/bouml/doinst.sh10
-rw-r--r--development/bouml/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/development/bouml/README b/development/bouml/README
new file mode 100644
index 0000000000..b043539bbd
--- /dev/null
+++ b/development/bouml/README
@@ -0,0 +1,23 @@
+BOUML is a free UML 2 tool box (under development) allowing you to specify
+and generate code in C++, Java, Idl, Php and Python.
+
+BOUML runs under Unix/Linux/Solaris, MacOS X(Power PC and Intel) and
+Windows.
+
+BOUML is very fast and doesn't require much memory to manage several
+thousands of classes, see benchmark.
+
+BOUML is extensible, and the external tools named plug-outs can be written
+in C++ or Java, using BOUML for their definition as any other program. The
+code generators and reverses are ones of the pre-defined plug-outs included
+in the BOUML distribution.
+
+Qt 2.3 and higher or any Qt 3 and qmake are required. On some distributions
+like Debian and Ubuntu you also need qt3-compat-headers if you use a
+Qt3. Qt 4 can't be used because it is non compatible with the previous
+releases.
+
+Depending on the options used to produce the Qt library you may have a
+problem during the link concerning the Motif, Motif plus and Windows
+styles. In this case compile BOUML defining the needed pre-processor
+variables QT_NO_STYLE_MOTIF, QT_NO_STYLE_MOTIFPLUS and QT_NO_STYLE_WINDOWS.
diff --git a/development/bouml/bouml.SlackBuild b/development/bouml/bouml.SlackBuild
new file mode 100644
index 0000000000..36fb8ff6c2
--- /dev/null
+++ b/development/bouml/bouml.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for bouml
+# Written by David Negroni <david.negroni@member.fsf.org>
+
+
+PRGNAM="bouml"
+VERSION="4.12.3"
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
+cd ${PRGNAM}_$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+BOUML_LIB="/usr/lib$LIBDIRSUFFIX/bouml" \
+make || exit 1
+make install DESTDIR=$PKG
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/bouml/bouml.info b/development/bouml/bouml.info
new file mode 100644
index 0000000000..52606f920f
--- /dev/null
+++ b/development/bouml/bouml.info
@@ -0,0 +1,8 @@
+PRGNAM="bouml"
+VERSION="4.12.3"
+HOMEPAGE="http://bouml.free.fr/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/bouml/bouml_4.12.3.tar.gz"
+MD5SUM="7f730f591701221c6dfd7a638d574fb8"
+MAINTAINER="David Negroni"
+EMAIL="david.negroni@member.fsf.org"
+APPROVED="dsomero"
diff --git a/development/bouml/doinst.sh b/development/bouml/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/development/bouml/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/development/bouml/slack-desc b/development/bouml/slack-desc
new file mode 100644
index 0000000000..cc2f26e78f
--- /dev/null
+++ b/development/bouml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bouml: bouml (free UML 2 tool box)
+bouml:
+bouml: BOUML is a free UML 2 tool box allowing you to specify and generate
+bouml: code in C++, Java, Idl, Php and Python.
+bouml:
+bouml:
+bouml:
+bouml: Homepage: http://bouml.free.fr/index.html
+bouml:
+bouml:
+bouml: